/*======================================================================================
Project : 기본 입출력 I/O(LED, S/W, BUZZER) 제어하기 
Version : AVR2560D-V01
Date    : 2011-07-28
Author  : Kyung Nam Lee
Company : LKEMBEDDED 
Compiler: CodevisionAVR + AVRStudio
Comment: S/W를 누를때마다 LED, BUZZER가 동작하는 프로그램이다.  
======================================================================================*/
#include <mega2560.h>
void main(void)
{

DDRG=0x13;  //LED, SW, BUZ 입출력레지스터 설정 0인경우 입력, 1인 경우 출력으로  초기화 
PORTG=0x00; //PORTG출력레지스터의 0X00을 맵핑하므로써 출력포트의 핀은 LOW(0V)가 출력된다. 

while (1)   //Endless Loop(무한루프)
      {
        if((PING&0X04)==0){      //첫번째 스위치(SW2)를 누르면 
         PORTG=0X01;             //LED(D3 LED)가 켜지고 BUZZER가 울린다.  
         }
         
        else if((PING&0X08)==0){ //두번째 스위치(SW3)를 누르면 
         PORTG=0X02;             //LED(D4 LED)가 켜지고 BUZZER가 울린다.         
         }
         
        else {PORTG=0X10;}      //위 두개의 스위치를 누르지 않으면 LED와 BUZZER는 OFF된다. 
      }
}
